> For the complete documentation index, see [llms.txt](https://streampay.gitbook.io/stream-payment-gateway/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://streampay.gitbook.io/stream-payment-gateway/api-documentation/overview.md).

# Overview

API Integration allows you to set up Crypto payment acceptance on your site without having to handle the blockchain yourself.

The process of creating and processing a payment is presented in the diagram below.

#### Creating a payment can be divided into the following steps:

* The user on your site clicks the payment button;
* Your site requests **Stream**Payments **API** of payment link;
* **Stream**Payments **API** returns PaymentPageObject which contains PaymentID, PaymentLink, and the rest data [(read more about PaymentPageObject)](broken://pages/P2gjK9L6sgoDGefqU62t);
* Your site redirects users to PaymentLink;
* The user transfers Crypto;
* **Stream**Payments **API** sends a callback to your site as soon as tokens are received.

{% hint style="warning" %}
**Important information:** **Stream**Payments API checks that the client transferred enough money but doesn't process overpayments. You have to process it on your side.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://streampay.gitbook.io/stream-payment-gateway/api-documentation/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
